Full name: projects.locations.instances.integrations.jobs.revisions.delete
Deletes a specific job revision. Use this method to clean up obsolete snapshots and manage the historical record of background automation tasks.
HTTP request
DELETE https://{endpoint}/v1alpha/{name}
Where {endpoint} is one of the supported service endpoints.
Path parameters
| Parameters | |
|---|---|
name |
Required. The resource name of the IntegrationJobRevision to delete. Format: projects/{project}/locations/{location}/instances/{instance}/integrations/{integration}/jobs/{job}/revisions/{revision} |
Request body
The request body must be empty.
Response body
If successful, the response body is an empty JSON object.
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/cloud-platformhttps://www.googleapis.com/auth/chroniclehttps://www.googleapis.com/auth/chronicle.readonly
For more information, see the Authentication Overview.
IAM Permissions
Requires the following IAM permission on the name resource:
chronicle.jobRevisions.delete
For more information, see the IAM documentation.